package com.steering.pss.sale.order.model;

/**
 * 数据库表COM_BASE_ADDITIONAL所对应的实体类（生成工具：代码生成器2.4）
 * @author Chenxi-PC   date 2015-05-29
 */
public class BaseAdditionalEntity {
    /**
     * 附加要求分项描述
     */
    private String askSubItmeDesc;
    /**
     * 标准说明
     */
    private String askSubItmeVal;
    /**
     * 标准说明描述
     */
    private String askSubItmeValDesc;
    /**
     * 贴图(贴图存储路径)
     */
    private String pic;
    /**
     * 标准代码
     */
    private String stdCode;
    /**
     * 标准名称
     */
    private String stdName;
    /**
     * 附加要求项
     */
    private String askItme;
    /**
     * 附加要求项名称
     */
    private String askItmeDesc;
    /**
     * 附加要求分项
     */
    private String askSubItme;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 备注
     */
    private String memo;

    public BaseAdditionalEntity(){
        askSubItmeDesc = "";
        askSubItmeVal = "";
        askSubItmeValDesc = "";
        pic = "";
        stdCode = "";
        stdName = "";
        askItme = "";
        askItmeDesc = "";
        askSubItme = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
        validflag = "";
        memo = "";
    }

    /**
     * 附加要求分项描述
     * @return value
     */
    public String getAskSubItmeDesc() {
        return askSubItmeDesc;
    }

    /**
     * 附加要求分项描述
     * @param askSubItmeDesc value
     */
    public void setAskSubItmeDesc(String askSubItmeDesc) {
        this.askSubItmeDesc = askSubItmeDesc;
    }

    /**
     * 标准说明
     * @return value
     */
    public String getAskSubItmeVal() {
        return askSubItmeVal;
    }

    /**
     * 标准说明
     * @param askSubItmeVal value
     */
    public void setAskSubItmeVal(String askSubItmeVal) {
        this.askSubItmeVal = askSubItmeVal;
    }

    /**
     * 标准说明描述
     * @return value
     */
    public String getAskSubItmeValDesc() {
        return askSubItmeValDesc;
    }

    /**
     * 标准说明描述
     * @param askSubItmeValDesc value
     */
    public void setAskSubItmeValDesc(String askSubItmeValDesc) {
        this.askSubItmeValDesc = askSubItmeValDesc;
    }

    /**
     * 贴图(贴图存储路径)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 贴图(贴图存储路径)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 附加要求项
     * @return value
     */
    public String getAskItme() {
        return askItme;
    }

    /**
     * 附加要求项
     * @param askItme value
     */
    public void setAskItme(String askItme) {
        this.askItme = askItme;
    }

    /**
     * 附加要求项名称
     * @return value
     */
    public String getAskItmeDesc() {
        return askItmeDesc;
    }

    /**
     * 附加要求项名称
     * @param askItmeDesc value
     */
    public void setAskItmeDesc(String askItmeDesc) {
        this.askItmeDesc = askItmeDesc;
    }

    /**
     * 附加要求分项
     * @return value
     */
    public String getAskSubItme() {
        return askSubItme;
    }

    /**
     * 附加要求分项
     * @param askSubItme value
     */
    public void setAskSubItme(String askSubItme) {
        this.askSubItme = askSubItme;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
}
